Bug 814762 - CLI - editResourceConfiguration() function not available
CLI - editResourceConfiguration() function not available
Status: NEW
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 11:24 EDT by Filip Brychta
Modified: 2012-04-24 04:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2012-04-20 11:24:57 EDT
Description of problem:
editResourceConfiguration() should be available for resources with configuration, but it is not. getResourceConfiguration(), getResourceConfigurationDefinition(), updateResourceConfiguration() are available.

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: ca5eecb

How reproducible:
Always

Steps to Reproduce:
1. import RHQ Agent to your inventory
2. ./rhq-cli.sh -u rhqadmin -p rhqadmin
3. var agent = ProxyFactory.getResource(rhqAgentId)
4. agent.editResourceConfiguration()
  
Actual results:
TypeError: Cannot find function editResourceConfiguration in object [21058] RHQ Agent (RHQ Agent::RHQAgent). (<Unknown source>#1)
agent.editResourceConfiguration() 
^

Expected results:
resource configuration editing wizard
Comment 1 Mike Foley 2012-04-23 12:00:03 EDT
note to QE: please provide a link to the product API documentation
Comment 2 Mike Foley 2012-04-23 12:11:04 EDT
setting priority to medium per BZ triage 4/23 (crouch, santos, oleary, foley)
Comment 3 Filip Brychta 2012-04-24 04:13:24 EDT
(In reply to comment #1)
> note to QE: please provide a link to the product API documentation

According to http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Operations_Network/100/html/Running_JON_Command-Line_Scripts/cli-ref-api.html#ref-proxyobjects methods available via proxies are not in the regular API. Method editResourceConfiguration() is described here: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/Dev_Writing_JON_Command-Line_Scripts/common-actions.html#Running_the_CLI-Proxy

Note You need to log in before you can comment on or make changes to this bug.